%define astversion 11.0

Summary: Provides a number of enhanced provisioning and application capabilities for Digium SIP phones
Name: asterisk11-res_digium_phone
Version: 2.1.1
Release: 1%{dist}
License: Digium End-User License Agreement
Group: Applications/System
Vendor: Schmooze Com, Inc.
Packager: Bryan Walters<bryan.walters@schmoozecom.com>
BuildRequires: wget

%description
Digium provides a line of SIP phones that are designed to operate with
Asterisk. When used with the Digium Phone Module for Asterisk (DPMA),
Digium's phones provide a number of enhanced provisioning and application
capabilities. To read more about the DPMA, please visit the following
web address:

http://www.digium.com/phones

No-charge license keys for the DPMA are available from Digium's webstore at
the following web address:

http://store.digium.com/productview.php?product_code=804-00032

%prep
if [ %{_arch} == "x86_64" ]; then
	wget -c http://downloads.digium.com/pub/telephony/res_digium_phone/asterisk-%{astversion}/x86-64/res_digium_phone-%{astversion}_%{version}-x86_64.tar.gz
else
	wget -c http://downloads.digium.com/pub/telephony/res_digium_phone/asterisk-%{astversion}/x86-32/res_digium_phone-%{astversion}_%{version}-x86_32.tar.gz
fi

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/asterisk/modules
if [ %{_arch} == "x86_64" ]; then
  tar xvfz res_digium_phone-%{astversion}_%{version}-x86_64.tar.gz
  mv res_digium_phone-%{astversion}_%{version}-x86_64/res_digium_phone.so $RPM_BUILD_ROOT/%{_libdir}/asterisk/modules/res_digium_phone.so
else
  tar xvfz res_digium_phone-%{astversion}_%{version}-x86_32.tar.gz
  mv res_digium_phone-%{astversion}_%{version}-x86_32/res_digium_phone.so $RPM_BUILD_ROOT/%{_libdir}/asterisk/modules/res_digium_phone.so
fi

%clean
cd $RPM_BUILD_DIR
%{__rm} -rf %{name}-%{version}
%{__rm} -rf /var/log/%{name}-sources-%{version}-%{release}.make.err
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc
%{_libdir}/asterisk/modules/res_digium_phone.so
